com.google.appengine.api.datastore

## Class DeleteContext

- java.lang.Object
- - com.google.appengine.api.datastore.DeleteContext

- All Implemented Interfaces:
    CallbackContext<Key>

      public final class DeleteContext
      extends java.lang.Object

  Concrete `CallbackContext` implementation that is specific to delete() callbacks.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getCurrentElement()`
    `int` | `getCurrentIndex()`
    `Transaction` | `getCurrentTransaction()`
    `java.util.List<T>` | `getElements()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getElements

          public java.util.List<T> getElements()

      Specified by:
        `getElements` in interface `CallbackContext<T>`
      Returns:
        An unmodifiable view of the elements involved in the operation that triggered the callback..

    - #### getCurrentTransaction

          public Transaction getCurrentTransaction()

      Specified by:
        `getCurrentTransaction` in interface `CallbackContext<T>`
      Returns:
        The current transaction, or `null` if there is no current transaction.

    - #### getCurrentIndex

          public int getCurrentIndex()

      Specified by:
        `getCurrentIndex` in interface `CallbackContext<T>`
      Returns:
        The index in the result of `CallbackContext.getElements()` of the element for which the callback has been invoked.

    - #### getCurrentElement

          public T getCurrentElement()

      Specified by:
        `getCurrentElement` in interface `CallbackContext<T>`
      Returns:
        The element for which the callback has been invoked. Shortcut for `getElements().getCurrentIndex()`.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`